Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbox2d.dynamics
Class Island

    java.lang.Object
      org.jbox2d.dynamics.Island

    public class Island

extends java.lang.Object

Field Summary
`Body[]` | `m_bodies`
`int` | `m_bodyCapacity`
`int` | `m_bodyCount`
`int` | `m_contactCapacity`
`int` | `m_contactCount`
`Contact[]` | `m_contacts`
`int` | `m_jointCapacity`
`int` | `m_jointCount`
`Joint[]` | `m_joints`
`ContactListener` | `m_listener`
`float` | `m_positionError`
`static int` | `m_positionIterationCount`

Constructor Summary
`Island(int bodyCapacity, int contactCapacity, int jointCapacity, ContactListener listener)`

Method Summary
`void` | `clear()`
`void` | `report(ContactConstraint[] constraints)`
`void` | `report(java.util.List<ContactConstraint> constraints)`
`void` | `solve(TimeStep step, Vec2 gravity, boolean correctPositions, boolean allowSleep)`
`void` | `solveTOI(TimeStep subStep)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_bodies

    public Body[] m_bodies

### m_contacts

    public Contact[] m_contacts

### m_joints

    public Joint[] m_joints

### m_bodyCount

    public int m_bodyCount

### m_jointCount

    public int m_jointCount

### m_contactCount

    public int m_contactCount

### m_bodyCapacity

    public int m_bodyCapacity

### m_contactCapacity

    public int m_contactCapacity

### m_jointCapacity

    public int m_jointCapacity

### m_positionIterationCount

    public static int m_positionIterationCount

### m_positionError

    public float m_positionError

### m_listener

    public ContactListener m_listener

Constructor Detail

### Island

    public Island(int bodyCapacity,
                  int contactCapacity,
                  int jointCapacity,
                  ContactListener listener)

Method Detail

### clear

    public void clear()

### solve

    public void solve(TimeStep step,
                      Vec2 gravity,
                      boolean correctPositions,
                      boolean allowSleep)

### solveTOI

    public void solveTOI(TimeStep subStep)

### report

    public void report(java.util.List<ContactConstraint> constraints)

### report

    public void report(ContactConstraint[] constraints)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD